function bgas
    set -l context (kubectl config current-context)
    set -l cline
    getopts $argv | while read -l key value
        switch $key
            case c
                set context $value
            case _
                set cline $cline $value
        end
    end

    set -l pod (
        kubectl --context=$context --namespace=apps get pod -lapp=accounts-service,instance=app -o json |
        jq -r '.items[].metadata.name' |
        shuf |
        head -1
    )

    if test -z "$pod"
        echo "No pod found.  Are you using the correct context?"

        return 1
    end

    kubectl \
        --context=$context \
        --namespace=apps \
        exec -ti $pod -- \
        env SKIP_MIGRATION=yes ./docker-entrypoint.sh poetry run -- python3 -m assured_seal $cline
end
